### Method

# Gck Session find_handles_finish

#### Declaration [src]

    gulong*
    gck_session_find_handles_finish (
      GckSession* self,
      GAsyncResult* result,
      gulong* n_handles,
      GError** error
    )

#### Description [src]

Get the result of a find handles operation.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result.
| The data is owned by the caller of the function.
`n_handles` | `gulong*`
| Location to store number of handles returned.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `gulong`
| An array of handles that matched, which may be empty, or `NULL` on failure.
| The length of the array is in the `n_handles` argument.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.